﻿
' This class has been modified to generate a COM object (ActiveX DLL.)

<ComClass(FormHost.ClassId, FormHost.InterfaceId, FormHost.EventsId)> _
Public Class FormHost

#Region "COM GUIDs"
  ' These  GUIDs provide the COM identity for this class 
  ' and its COM interfaces. If you change them, existing 
  ' clients will no longer be able to access the class.
  Public Const ClassId As String = "dd424fda-527f-451c-ae8d-ee602f745350"
  Public Const InterfaceId As String = "c8194164-c8b3-4cc9-a2e2-00832b33255e"
  Public Const EventsId As String = "47c2a48f-085b-41a5-b0f2-5e45e862653b"
#End Region

  Private _msg As Object

  ' A creatable COM class must have a Public Sub New() 
  ' with no parameters, otherwise, the class will not be 
  ' registered in the COM registry and cannot be created 
  ' via CreateObject.

  Public Sub New()
    MyBase.New()
  End Sub

  Public Sub showvbform(ByVal ents As Object)
    Dim frm As CoolForm

    'Instantiate new form of type coolform
    frm = New CoolForm

    ' Pass this object and the SU API to the global variables
    g_oFormHost = Me
    g_oEnts = ents

    frm.ShowDialog()  ' Code stop here until return from form

    ' Clean up SU API objects
    g_oEnts = Nothing
    ents = Nothing
  End Sub

  ' Property to pass back to SU script
  Public Property msg() As Object
    Get
      Return _msg
    End Get
    Set(ByVal value As Object)
      _msg = value
    End Set
  End Property
End Class


